Subject: bug#52446: 28.0.90; Infinite loop in add_row_entry

From: Po Lu <[email-masked]>
Date: Sun, 12 Dec 2021 18:43:20 +0800

Eli Zaretskii <[email-masked]> writes:

> Now I'm confused: if row_table[i] is NULL for each i, then how did we
> enter that loop?  Its condition checks for entry being non-NULL.

The disassembly checks out, so that condition is not being mis-compiled.
But that doesn't rule out the possibility of a miscompilation elsewhere.

I will try to reproduce this under a memory checker, and with
optimizations turned off.